[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#95818: libpgsql2.1: should not depend on ident-server

"Oliver Elphick" <olly@lfix.co.uk> writes:

> The upstream developers are not friendly to non-portable features; I
> might be able to get it added under a config option.

Thought so. My selling point is that this feature is completely
optional: if it is compiled in, you're allowed to use a new authtype
"peer" (or so) with the "local" transport in
"/etc/postgresql/pg_hba.conf". That's just like kerberos support which
is also not enabled on all systems (and the "krb[45]" authtype is
there or not, depending on that)

This feature would work on all kernels that woody supports (Linux 2.2
and 2.4). Hurd support is an issue for the future, though.


Attachment: signature.ng
Description: PGP signature

Reply to: